#ifndef EXPLOSION_H
#define EXPLOSION_H

#include "entity.h"

class CExplosion : public IMovableEntity
{
    public:
    CExplosion() {m_Alive = false;}
    virtual ~CExplosion() {}

    void Init(IMovableEntity* entity, CSprite* sprite);
    void Update( int deltaT );
    void Draw( SDL_Surface* screen );

};

#endif // EXPLOSION_H
